//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

import { ref } from "vue";

const darkTheme = ref("lara-dark-blue"),
  lightTheme = ref("lara-light-blue");


export function toggleTheme(store, primeVue, emit): void {
  store.setDarkMode(!store.isDark);
  setTheme(store, primeVue, emit);
}

export function setTheme(store, primeVue, emit, shouldBeDark: boolean) {
  store.setDarkMode(shouldBeDark);
  const isDark = ref(store.isDark);
  const newTheme = isDark.value ? darkTheme.value : lightTheme.value,
    oldTheme = isDark.value ? lightTheme.value : darkTheme.value;
  primeVue.changeTheme(oldTheme, newTheme, "theme-link", () => {});
  emit("dark-mode-toggled", isDark.value);
}
